Bug 881986 (CVE-2012-5559)

Summary: CVE-2012-5559 drupal6-ctools: XSS flaw (SA-CONTRIB-2012-165)
Product: [Other] Security Response Reporter: Vincent Danen <vdanen>
Component: vulnerabilityAssignee: Red Hat Product Security <security-response-team>
Status: CLOSED ERRATA QA Contact:
Severity: medium Docs Contact:
Priority: medium    
Version: unspecifiedCC: peter.borsa, sven
Target Milestone: ---Keywords: Security
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard: impact=moderate,public=20121114,reported=20121117,source=oss-security,cvss2=4.3/AV:N/AC:M/Au:N/C:N/I:P/A:N,fedora-all/drupal6-ctools=affected,epel-all/drupal6-ctools=affected,cwe=CWE-79[auto]
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-03-19 12:41:52 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 881987, 881988    
Bug Blocks:    

Description Vincent Danen 2012-11-29 17:31:48 EST
SA-CONTRIB-2012-165 [1] describes a flaw in the Chaos tool suite 6.x prior to version 6.x-1.10:

The Chaos tool suite is primarily a set of APIs and tools to improve the developer experience.

The page manager node view task does not sufficiently escape node titles when setting the page title, allowing XSS.

This vulnerability is partially mitigate by the node task being disabled by default and limited to users that have the ability to submit or edit nodes.


This flaw affects the currently shipped drupal6-ctools packages in Fedora and EPEL.

[1] http://drupal.org/node/1840992
Comment 1 Vincent Danen 2012-11-29 17:32:59 EST
Created drupal6-ctools tracking bugs for this issue

Affects: fedora-all [bug 881987]
Affects: epel-all [bug 881988]
Comment 2 Fedora Update System 2012-12-13 00:57:40 EST
drupal6-ctools-1.10-1.fc17 has been pushed to the Fedora 17 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 3 Fedora Update System 2012-12-13 01:01:54 EST
drupal6-ctools-1.10-1.fc16 has been pushed to the Fedora 16 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 4 Fedora Update System 2013-01-11 19:56:09 EST
drupal6-ctools-1.10-1.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Fedora Update System 2013-02-26 14:18:12 EST
drupal6-ctools-1.10-1.el5 has been pushed to the Fedora EPEL 5 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 6 Fedora Update System 2013-02-26 14:18:59 EST
drupal6-ctools-1.10-1.el6 has been pushed to the Fedora EPEL 6 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Peter Borsa 2013-03-19 02:31:48 EDT
Vincent,

can we close this bug because the updated packages have been pushed to the stable repositories?
Comment 8 Vincent Danen 2013-03-19 12:41:52 EDT
Yes indeed.  Thanks for the reminder, Peter.